SystemOrganization addCategory: #LogBook!

WAComponent subclass: #LogBookListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LogBook'!

!LogBookListView class methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/30/2012 11:30'!
canBeRoot
	"add LogBookListView to root applications in config."

^true.! !

!LogBookListView class methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/30/2012 11:42'!
initialize
	
    
    WAAdmin register: self asApplicationAt: 'logbook'
	! !

!LogBookListView methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/30/2012 11:45'!
renderContentOn: html
     html unorderedList: [
	
	LogBook entries do: [ :entry |
		html listItem: [ self renderLogBook: entry on: html ]]]
! !

!LogBookListView methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 14:37'!
renderLogBook: anEntry on: html
     html 
render: anEntry from; render: ' ';
render: anEntry to; render: '  ';
render: anEntry pic;  render:' ';
render: anEntry passenger; render: ' ';
render: anEntry uptime; render: ' ';
render: anEntry downtime; render: ' ';
render: anEntry airtime; render: ' ';
render: anEntry flighttime; render:' ';
render: anEntry remarks.
! !

Object subclass: #LogBook
	instanceVariableNames: 'from to pic passenger uptime downtime airtime flighttime remarks'
	classVariableNames: 'LogBookData'
	poolDictionaries: ''
	category: 'LogBook'!

LogBook class
	instanceVariableNames: 'airtime'!

!LogBook commentStamp: 'bruceprior 7/29/2012 13:12' prior: 0!
I started this project on 29 Jul 2012.
A LogBook is a simple database modeled after the address database in the Seaside Book page 115.

Instance Variables
	airtime:		<Object>
	downtime:		<Object>
	flighttime:		<Object>
	from:		<Object>
	passenger:		<Object>
	pic:		<Object>
	remarks:		<Object>
	to:		<Object>
	uptime:		<Object>

airtime
	- xxxxx

downtime
	- xxxxx

flighttime
	- xxxxx

from
	- xxxxx

passenger
	- xxxxx

pic
	- xxxxx

remarks
	- xxxxx

to
	- xxxxx

uptime
	- xxxxx
!

LogBook class
	instanceVariableNames: 'airtime'!

!LogBook class methodsFor: 'adding' stamp: 'bruceprior 7/29/2012 13:52'!
addEntry: anEntry

	self entries add: anEntry
	! !

!LogBook class methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/30/2012 11:42'!
createSampleLogBook

^ OrderedCollection new
   add: (self from: 'Langley' to: 'Chillliwack' pic: 'B. Prior' passenger: 'J. Prior' uptime: '1220' downtime: '1250' airtime: 30 flighttime: 42 remarks: 'gorgeous flight!!');
   add: (self from: 'Chilliwack' to: 'Langley' pic: 'B. Prior' passenger: 'J. Prior' uptime: '1641' downtime: '1712' airtime: 31 flighttime: 43 remarks: 'Fun!!');
   yourself  ! !

!LogBook class methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:50'!
entries

"Answers an Ordered Collection of the logbook entry instances."

  ^ LogBookData ifNil: [LogBookData := self createSampleLogBook ]! !

!LogBook class methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:34'!
from: fromString to: toString pic: picString passenger: passengerString uptime: uptimeString downtime: downtimeString airtime: airtimeNumber flighttime: flighttimeNumber remarks: remarksString

^ self new
   from: fromString;
   to: toString;
   pic: picString;
   passenger: passengerString;
   uptime: uptimeString;
   downtime: downtimeString;
   airtime: airtimeNumber;
   flighttime: flighttimeNumber;
   remarks: remarksString;
   yourself.! !

!LogBook class methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/30/2012 11:41'!
removeEntry: anEntry

	self entries remove: anEntry
	! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:20'!
airtime 
     ^airtime! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:21'!
airtime: aNumber
     airtime := aNumber! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:19'!
downtime 
     ^downtime! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:20'!
downtime: aString 
     downtime := aString! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:22'!
flighttime
     ^flighttime! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:22'!
flighttime: aNumber
     flighttime := aNumber! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:13'!
from
     ^from! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:14'!
from: aString
     from := aString! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:16'!
passenger
     ^passenger! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:17'!
passenger: aString
     passenger := aString! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:16'!
pic
     ^pic! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:16'!
pic: aString
     pic := aString! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:23'!
remarks
     ^remarks! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:23'!
remarks: aString
     remarks := aString! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:15'!
to
     ^to! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:15'!
to: aString
     to := aString! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:17'!
uptime 
     ^uptime! !

!LogBook methodsFor: 'as yet unclassified' stamp: 'bruceprior 7/29/2012 13:18'!
uptime: aString 
     uptime := aString! !
LogBookListView initialize!
